Skip to main content
DELETE
/
v1
/
channel
/
attribute
/
{attributeId}
/
category
/
{categoryId}
Delete Category Attribute by ID
curl --request DELETE \
  --url https://scx-sbx.api.jtl-software.com/v1/channel/attribute/{attributeId}/category/{categoryId} \
  --header 'Authorization: Bearer <token>'
{
  "errorList": [
    {
      "code": "GEN404",
      "message": "Not found",
      "severity": "error",
      "hint": null
    }
  ]
}

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Path Parameters

attributeId
string
required

ID of the attribute to remove from the given category. AttributeId must be a category tree wide unique identifer.

Required string length: 1 - 512
Example:

"12323"

categoryId
string
required

ID of the category the attribute should be removed from. Channel category Id

Required string length: 1 - 512
Example:

"Beer4711"

Response

Attribute deactivated